Subject: Re: bug#49716: no -print0 for ls?

From: Pádraig Brady <[email-masked]>
Date: Sun, 25 Jul 2021 18:10:14 +0100

On 25/07/2021 16:28, Paul Eggert wrote:
> On 7/25/21 7:43 AM, Pádraig Brady wrote:
>> I would use the more consistent option for this though, i.e.:
>>
>>     -z, --zero                    end each output line with NUL, not newline
> 
> That's a different option, no? My proposal was something that would
> affect every program using --quoting-style, and it would quote
> individual filenames and suchlike. The --zero option, in contrast, would
> mean 'ls' would output NUL every place it normally outputs a newline as
> part of the own format that it generates. These are different things.
> 
> It sounds like your approach is better than what I proposed, though.
> 
> --null makes sense, but I'm not entirely sold on having a short option
> for this rarely-needed functionality. Perhaps it'd be better to add it
> with just the long name for now. If it gets used a lot we could add a
> short alias later.

Right we should be especially careful of short options with ls.
A long only option should suffice

cheers,
Pádraig